	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
						$key=mysqli_real_escape_string($connect, $_POST['key']);
						$hargabelis=mysqli_real_escape_string($connect, $_POST['purchase_price']);
						$hargajuals=mysqli_real_escape_string($connect, $_POST['selling_price']);
						$kodebarangs=mysqli_real_escape_string($connect, $_POST['codeproduct']);
						$stoks=mysqli_real_escape_string($connect, $_POST['stock']);
						$nama_barang=mysqli_real_escape_string($connect, $_POST['name_product']);


	$getusers = mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	      = mysqli_fetch_array($getusers);
	$jumlah   = mysqli_num_rows($getusers);
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);



	$querybarang = mysqli_query($connect,"SELECT * FROM product WHERE user='$m[phone_number]' ORDER BY id_product DESC");
	$p=mysqli_fetch_array($querybarang);


	$hargabeli	= preg_replace("/[^0-9]/", "", $hargabelis);
	$hargajual	= preg_replace("/[^0-9]/", "", $hargajuals);

	if($kodebarangs==''){
	$kodebarang =$p['id_product'];
	}else{
	$kodebarang =$kodebarangs;
	}

	if ($jumlah > 0){
	
	mysqli_query($connect,"INSERT INTO product(name_product,
								  id_category,
								  codeproduct,
								  purchase_price,
								  selling_price,
								  img,
                                  user) 
                    VALUES('$nama_barang',
						   '1',
						   '$kodebarang',
						   '$hargabeli',
						   '$hargajual',
						   'no_product.jpg',
                           '$m[phone_number]')");
  
  
	$query = "SELECT * FROM product WHERE codeproduct='$kodebarang' AND user='$m[phone_number]' ORDER BY id_product DESC";
	$hasil = mysqli_query($connect,$query);
	
	$response = array(
    'status' => 'true',
    'errCode' => '01',
	'msg' => 'Success'
	);
	$response["data"] = array();
	
	 while($x = mysqli_fetch_array($hasil)){	
	$querykategori = "SELECT name_category FROM category WHERE id_category='$x[id_category]'";
	$hasilkategori = mysqli_query($connect,$querykategori);
	$k = mysqli_fetch_array($hasilkategori);
	
	$datastok = mysqli_query($connect,"SELECT * FROM stock WHERE id_product='$x[id_product]' AND id_store='$u[id_store]'");
	$s=mysqli_fetch_array($datastok);
	
	
	if($s['stock']==''){
	$stok=0;
	}else{
	$stok= $s['stock'];
	}
    $h['id_product'] 	= $x["id_product"];
    $h['posisi'] 		= true;
    $h['name_product'] 	= $x["name_product"];
    $h['id_category'] 	= $x["id_category"];
    $h['name_category'] = $k["name_category"];
    $h['codeproduct'] 	= $x["codeproduct"];
    $h['purchase_price'] 	= $x["purchase_price"];
    $h['selling_price'] 	= $x["selling_price"];
    $h['stock'] 			= $stok;
    $h['minimalstock'] 	= $x["minimalstock"];
    $h['discount'] 		= $x["discount"];
    $h['online'] 		= $x["online"];
    $h['have_stock'] 		= $x["have_stock"];
    $h['wholesale_price'] 	= $x["wholesale_price"];
    $h['minimum_purchase'] 	= $x["minimum_purchase"];
    $h['description'] 	= $x["description"];
    $h['preorder'] 		= $x["preorder"];
    $h['img'] 			= "http://$_SERVER[HTTP_HOST]/geten/images/$x[folder]/small_$x[img]";
    array_push($response["data"], $h);
	}

	echo json_encode($response);

	}else{
	
	
	$json = array(
    'status' => 'true',
    'errCode' => '00',
	'msg' => 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>